aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: Compiling under Gentoo Crashes...  (Read 4511 times)

valhair

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 4
Compiling under Gentoo Crashes...
« on: November 01, 2004, 02:35:23 AM »

Hi

While compiling rc7 (same thing was with rc6...), I was getting following:

==========>8 snip ==================================

Making all in aLinkCreator
make[5]: Entering directory `/DL/build/aMule-2.0.0rc7/src/utils/aLinkCreator'
Making all in src
make[6]: Entering directory `/DL/build/aMule-2.0.0rc7/src/utils/aLinkCreator/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I../../../..   -s -O2 -march=pentium3 -funroll-loops -pipe -fomit-frame-pointer -I/usr//lib/wx/include/gtk2u-2.4 -I/usr//include -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -s -O2 -march=pentium3 -funroll-loops -pipe  -DUSE_EMBEDDED_CRYPTO  -O2  -MT alc-ed2khash.o -MD -MP -MF ".deps/alc-ed2khash.Tpo" \
  -c -o alc-ed2khash.o `test -f 'ed2khash.cpp' || echo './'`ed2khash.cpp; \
then mv -f ".deps/alc-ed2khash.Tpo" ".deps/alc-ed2khash.Po"; \
else rm -f ".deps/alc-ed2khash.Tpo"; exit 1; \
fi
ed2khash.cpp: In member function `bool Ed2kHash::SetED2KHashFromFile(const
   wxFileName&, bool (*)(int))':
ed2khash.cpp:86: error: no matching function for call to `wxFFile::wxFFile(
   wxString, const wchar_t[4])'
/usr/include/wx/ffile.h:106: error: candidates are: wxFFile::wxFFile(const
   wxFFile&)
/usr/include/wx/ffile.h:47: error:                 wxFFile::wxFFile(FILE*)
/usr/include/wx/ffile.h:45: error:                 wxFFile::wxFFile(const
   wxChar*, const char*)
/usr/include/wx/ffile.h:43: error:                 wxFFile::wxFFile()
make[6]: *** [alc-ed2khash.o] Error 1
make[6]: Leaving directory `/DL/build/aMule-2.0.0rc7/src/utils/aLinkCreator/src'
make[5]: *** [all-recursive] Error 1
make[5]: Leaving directory `/DL/build/aMule-2.0.0rc7/src/utils/aLinkCreator'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/DL/build/aMule-2.0.0rc7/src/utils'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/DL/build/aMule-2.0.0rc7/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/DL/build/aMule-2.0.0rc7/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/DL/build/aMule-2.0.0rc7'
make: *** [all] Error 2

MYHOST aMule-2.0.0rc7 #

==========>8 snip ==================================

My wxGTK is:
*  x11-libs/wxGTK
      Latest version available: 2.4.2-r3


and... My Config is:

 ./configure \
    --prefix=/opt \
    --sysconfdir=/etc/aMule \
    --enable-optimise \
    --with-gtk \
    --disable-debug \
    --enable-releasegrp \
    --enable-amulecmd \
    --enable-amulecmdgui \
    --with-wx-prefix=/usr/ \
    --with-wx-config=/usr/bin/wx-config \
    --localstatedir=/var \
    --build=i686

Any help would be greatly appreciated
And thanxx for a great work!!!
Logged

Theetjuh

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 37
Re: Compiling under Gentoo Crashes...
« Reply #1 on: November 01, 2004, 11:18:15 AM »

Upgrade wxGTK too 2.5.3 :)
Logged

phoenix

  • Evil respawning bird from aMule Dev Team
  • Developer
  • Hero Member
  • *****
  • Karma: 44
  • Offline Offline
  • Posts: 2522
  • The last shadow you'll ever see
Re: Compiling under Gentoo Crashes...
« Reply #2 on: November 01, 2004, 12:18:11 PM »

valhair,

It should work with wx-2.4.2. There is something strange. Are you trying to use wx-2.4.2 with gtk2? If that is the case, it does not work, ok? Either use wx-2.5.3 to use gtk2, or use wx-2.4.2 with gtk.

Cheers!
Logged

valhair

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: Compiling under Gentoo Crashes...
« Reply #3 on: November 02, 2004, 01:25:01 AM »

Hi there...

I didn't notice that my wx was "updated" it it has got recompiled with default gtk2 support. Tanxx for replying. I'll try to get wx 2.5.3.
Logged

deltaHF

  • Evil Admin
  • Former Developer
  • Hero Member
  • *****
  • Karma: 6
  • Offline Offline
  • Posts: 3928
  • .. Legends may sleep, but they never die ..
    • http://www.amule.org
Re: Compiling under Gentoo Crashes...
« Reply #4 on: November 02, 2004, 02:19:37 AM »

Quote
--with-gtk \

--enable-releasegrp \

i wonder where to search on rc7 for such options ... ;)

valhair

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: Compiling under Gentoo Crashes...
« Reply #5 on: November 05, 2004, 02:07:20 AM »

Quote
i wonder where to search on rc7 for such options ... Wink

Hehe .. I simply using the same conf.aMule script for few months... Yeah, I am lazy, but just a bit...  :]
Logged

a-snu

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 21
  • è una questione di qualità ... decidersi di farla finita con qualcuno qualcosa ... una formalitÃ
    • http://www.romastyle.info
gentoo ebuild
« Reply #6 on: December 28, 2004, 04:58:16 PM »

there's an ebuild to install amule properly ... try it
dont' forget to create the digest file

Code: [Select]
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-p2p/amule/amule-2.0.0_rc8.ebuild,v 1.1 2004/26/12 17:30:55 unzsnu Exp $

inherit wxwidgets

MY_P=${P/m/M}
MY_P=${MY_P/_/}
S=${WORKDIR}/${MY_P}

DESCRIPTION="aMule, the all-platform eMule p2p client"
HOMEPAGE="http://www.amule.org/"
SRC_URI="http://download.berlios.de/${PN}/${MY_P}.tar.bz2"
RESTRICT="nomirror"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug gtk2 nls remote stats unicode gd"

DEPEND="gtk2? ( >=x11-libs/wxGTK-2.5.3 )
!gtk2? ( >=x11-libs/wxGTK-2.4.2-r2 )
>=net-misc/curl-7.11.0
>=sys-libs/zlib-1.2.1
stats? ( >=media-libs/gd-2.0.26 )
gd? ( >=media-libs/gd-2.0.26 )
!net-p2p/xmule"

pkg_setup() {

if ! use gtk2 >& /dev/null ; then
need-wxwidgets gtk || die "gtk version of x11-libs/wxGTK not found"
elif use unicode >& /dev/null ; then
export WX_GTK_VER="2.5"
need-wxwidgets unicode || die "You need to emerge unicoded wxGTK with USE='gtk2 unicode'"
else
export WX_GTK_VER="2.5"
need-wxwidgets gtk2 || die "You need to emerge wxGTK with USE='gtk2'"
fi

}

src_compile() {

if use gtk2 >& /dev/null && use remote >& /dev/null ; then
                EXTRA_ECONF="--enable-amule-daemon"
        fi

econf \
--disable-optimise \
--with-wx-config=${WX_CONFIG} \
--with-wxbase-config=${WX_CONFIG} \
`use_enable nls` \
`use_enable remote amulecmd` \
`use_enable remote amulecmdgui` \
`use_enable remote webserver` \
`use_enable remote webservergui` \
`use_enable stats cas` \
`use_enable stats wxcas` \
`use_enable stats alc` \
`use_enable stats alcc` \
`use_enable debug` \
|| die

emake -j1 || die
}

src_install() {
make DESTDIR=${D} install || die
}
« Last Edit: December 28, 2004, 05:00:29 PM by a-snu »
Logged
è una questione di qualità ... decidersi di farla finita con qualcuno qualcosa ... una formalità

valhair

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: Compiling under Gentoo Crashes...
« Reply #7 on: December 28, 2004, 08:17:52 PM »

I've found the same e-build today and -it worked. Compiled well and it is running right now. Thanks anyway.
Logged